Attach a subscription to an application
View as MarkdownAttaches a hosting subscription to the application.
Full description
Attaches a hosting subscription to the application. The subscription must have at least one free slot. If not, a
409is returned withdetails[].issueNO_CAPACITY.
Authorization
bearerAuth Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer <token>.
In: header
Path Parameters
Application identifier in {PRODUCT}-{id} form. The prefix is the application type in upper case — an upper-case letter followed by any number of upper-case letters, digits, or underscores — then a hyphen, then the identifier. For NODEJS, the suffix is a 10-character nanoid. Example: NODEJS-aBcDeFgHiJ.
^[A-Z][A-Z0-9_]*-[A-Za-z0-9_-]+$Header Parameters
W3C Trace Context identifier for this request. Clients should send a traceparent on every request so the trace can be correlated across services. See https://www.w3.org/TR/trace-context/ for the format.
^[0-9a-f]{2}-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/apps/string/subscription" \ -H "Content-Type: application/json" \ -d '{ "subscriptionId": "string" }'{ "subscriptionId": "string", "hostingProduct": "WEB_HOSTING", "attachState": "ACTIVE", "appState": "PUBLISHED", "links": [ { "href": "http://example.com", "rel": "string", "title": "string", "targetMediaType": "string", "targetSchema": null, "method": "string", "submissionMediaType": "application/json", "submissionSchema": null } ]}Agent & Automation Notes
hosting.application:read, hosting.application:create, hosting.application:update, hosting.application:delete, hosting.source:write, hosting.deployment:execute, hosting.secret:write, hosting.log:readRelated
Last updated on
How is this guide?